python-requests-kerberos_0.7.0-2_all.deb


Advertisement

Description

python-requests-kerberos - Kerberos/GSSAPI authentication handler for python-requests - Python 2.x

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-requests-kerberos
Package version: 0.7.0
Package release: 2
Package architecture: all
Package type: deb
Installed size: 40 B
Download size: 7.82 KB
Official Mirror: archive.ubuntu.com
Requests is an HTTP library, written in Python, for human beings. This library adds optional Kerberos/GSSAPI authentication support and supports mutual authentication. This package provides the Python 2.x module.

Alternatives

    Download

    Source package: python-requests-kerberos

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-requests-kerberos deb package:
      # sudo apt-get install python-requests-kerberos

    Files

    • /usr/lib/python2.7/dist-packages/requests_kerberos/__init__.py
    • /usr/lib/python2.7/dist-packages/requests_kerberos/compat.py
    • /usr/lib/python2.7/dist-packages/requests_kerberos/exceptions.py
    • /usr/lib/python2.7/dist-packages/requests_kerberos/kerberos_.py
    • /usr/lib/python2.7/dist-packages/requests_kerberos-0.7.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/requests_kerberos-0.7.0.egg-info/SOURCES.txt
    • /usr/lib/python2.7/dist-packages/requests_kerberos-0.7.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/requests_kerberos-0.7.0.egg-info/requires.txt
    • /usr/lib/python2.7/dist-packages/requests_kerberos-0.7.0.egg-info/top_level.txt
    • /usr/share/doc/python-requests-kerberos/changelog.Debian.gz
    • /usr/share/doc/python-requests-kerberos/copyright

    Changelog

    2015-10-16 - Thomas Goirand <zigo@debian.org> python-requests-kerberos (0.7.0-2) unstable; urgency=medium * Uploading to unstable.

    2015-09-02 - Thomas Goirand <zigo@debian.org> python-requests-kerberos (0.7.0-1) experimental; urgency=medium * New upstream release. * Removed CVE-2014-8650_Handle_mutual_authentication.patch applied upstream. * Some (build-)depends updates.

    2015-04-09 - Thomas Goirand <zigo@debian.org> python-requests-kerberos (0.5-3) unstable; urgency=medium * Fixed swapped short package descriptions of python2.x and python3.x binary packages. Thanks to Beatrice Torracca <beatricet@libero.it> for the bug repport. (Closes: #782185)

    2014-11-10 - Thomas Goirand <zigo@debian.org> python-requests-kerberos (0.5-2) unstable; urgency=high * CVE-2014-8650: failure to handle mutual authentication. Applied upstream patch: CVE-2014-8650_Handle_mutual_authentication.patch (Closes: #768408). Thanks to Salvatore Bonaccorso <carnil@debian.org> for reporting it.

    2014-06-12 - Thomas Goirand <zigo@debian.org> python-requests-kerberos (0.5-1) unstable; urgency=medium * Initial release. (Closes: #752858)

    Advertisement
    Advertisement